Get Trader Orders in Market

Returns chronological compacted order fills (execution time, outcome, side, shares, USDC value, taker flag, and fee) executed by a trader in a specific prediction market
GET/v2/traders/{address}/markets/{id}/orders

请求参数

该接口所需的请求头与参数规范。

请求头
请求头类型必填说明
X-PolyEdge-Keystring必填PolyEdge API Key for client authentication and rate-limiting
路径参数
参数类型必填说明
addressstring必填EVM address (0x...)
idinteger必填Polymarket numeric market ID

响应 (200 OK)

成功响应载荷的字段定义。

application/json
200 响应示例
json
{
  "orders": [
    {
      "fee": 2364070,
      "is_taker": true,
      "outcome": "Rafael Tosetto",
      "shares": 285000000,
      "side": "BUY",
      "time": "2026-09-17T18:13:51Z",
      "usdc": 225150000
    },
    {
      "fee": 230850,
      "is_taker": true,
      "outcome": "Rafael Tosetto",
      "shares": 30000000,
      "side": "BUY",
      "time": "2026-09-17T18:14:18Z",
      "usdc": 24300000
    },
    {
      "fee": 3091070,
      "is_taker": true,
      "outcome": "Rafael Tosetto",
      "shares": 777100000,
      "side": "BUY",
      "time": "2026-09-17T20:19:10Z",
      "usdc": 67723500
    }
  ]
}
响应体字段
字段类型说明
orders
array of objectsChronological list of compacted order fill events
├─fee
integerProtocol trading fee deducted in micro-USD (6 decimals)
├─is_taker
booleanTrue if executed against resting book liquidity as a taker
├─outcome
stringPrediction outcome label (e.g. "Yes", "No")
├─shares
integerFilled outcome token shares (6 decimals)
├─side
stringOrder execution side: "BUY" or "SELL"
├─time
stringISO 8601 UTC timestamp of order fill execution
├─usdc
integerTotal collateral USDC transferred (6 decimals micro-USD)

cURL 示例

在终端中直接复制并运行此命令测试该接口。

cURL: GET /v2/traders/{address}/markets/{id}/orders
bash
curl -X GET "https://api.polyedge.dev/v2/traders/0x2005d16a84ceefa912d4e380cd32e7ff827875ea/markets/4629816/orders" \
  -H "X-PolyEdge-Key: Your-PolyEdge-ApiKey"